Package: org.grails.web.mapping

## [Groovy] Class ForwardUrlMappingInfo

- org.grails.web.mapping.ForwardUrlMappingInfo

- A customizable UrlMappingInfo instance used for forwards and includes.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `URI`
    `java.lang.String` | `actionName`
    `java.lang.String` | `controllerName`
    `java.lang.String` | `httpMethod`
    `java.lang.String` | `id`
    `java.lang.String` | `namespace`
    `java.util.Map` | `parameters`
    `java.lang.String` | `pluginName`
    `java.lang.String` | `version`
    `java.lang.String` | `viewName`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getAction()`
    `` | `java.lang.String` | `getController()`
    `` | `java.util.Map` | `getParameters()`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getParams()`
    `` | `java.lang.String` | `getView()`
    `` | `boolean` | `isParsingRequest()`
    `` | `void` | `setAction(java.lang.String action)`
    `` | `void` | `setController(java.lang.String controller)`
    `` | `void` | `setNamespace(java.lang.String namespace)`
    `` | `void` | `setParams(java.util.Map params)`
    `` | `void` | `setPluginName(java.lang.String plugin)`
    `` | `void` | `setView(java.lang.String view)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMappingInfo` | `configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String URI

    - #### java.lang.String actionName

    - #### java.lang.String controllerName

    - #### java.lang.String httpMethod

    - #### java.lang.String id

    - #### java.lang.String namespace

    - #### java.util.Map parameters

    - #### java.lang.String pluginName

    - #### java.lang.String version

    - #### java.lang.String viewName

  - ### Method Detail

    - #### java.lang.String getAction()

    - #### java.lang.String getController()

    - #### java.util.Map getParameters()

    - #### java.util.Map<java.lang.String, java.lang.Object> getParams()

    - #### java.lang.String getView()

    - #### boolean isParsingRequest()

    - #### void setAction(java.lang.String action)

    - #### void setController(java.lang.String controller)

    - #### void setNamespace(java.lang.String namespace)

    - #### void setParams(java.util.Map params)

    - #### void setPluginName(java.lang.String plugin)

    - #### void setView(java.lang.String view)